# $Revision: 1.83 $, $Date: 2004/01/27 12:02:06 $
#
# Conditional build:
# _with_epistrophy	- enables using epistorophy key grabber
#
Summary:	Very small and fast window manger for the X Window
Summary(pl):	May i szybki zarzdca okien dla X Window
Name:		blackbox
Version:	0.65.0
Release:	2
License:	BSD-like
Group:		X11/Window Managers
Vendor:		Brad Hughes <blackbox@alug.org>
Source0:	http://dl.sourceforge.net/blackboxwm/%{name}-%{version}.tar.gz
# Source0-md5:	08560fa287c68d65fbe894696d04deaf
Source1:	%{name}.desktop
Source3:	%{name}.1
Source4:	bsetroot.1
Source5:	%{name}-README.PLD
Source6:	%{name}-xsession.desktop
Patch0:		%{name}-am_fixes.patch
Patch1:		%{name}-pipe.patch
Patch3:		%{name}-epistrophy.patch
Patch4:		%{name}-etc_dir.patch
Patch5:		%{name}-nls-codesets.patch
Patch6:		%{name}-assert.patch
URL:		http://blackboxwm.sourceforge.net/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	rpm >= 4.0.2-48
%{?_with_epistrophy:Requires:	epistrophy}
Obsoletes:	fluxbox
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/X11/%{name}
%define		_wmpropsdir	/usr/share/wm-properties

%define		_gcc_ver	%(%{__cc} -dumpversion | cut -b 1)
%if %{_gcc_ver} == 2
%define		__cxx		"%{__cc}"
%endif

%description
Blackbox is a window manager for the X Window environment, which is
almost completely compliant with ICCCM specified operation policies.
It features nice and fast interface with multiple workspaces and
simple menus. Fast built-in graphics code that can render solids,
gradients and bevels is used to draw window decorations. Remaining
small in size, blackbox preserves memory and CPU.

%description -l pl
Blackbox jest zarzdc okien dla X Window speniajcym prawie
wszystkie zalecenia ICCM. Jego zalet jest estetyczny i szybki
interfejs z wieloma pulpitami i prostym menu. Wbudowano we take
algorytm rysowania dekoracji okien, ktre mog by jednokolorowe,
gradientowe lub trjwymiarowe. Blackbox oszczdza pami i czas CPU.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%{?_with_epistrophy:%patch3 -p1}
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d \
	$RPM_BUILD_ROOT{%{_wmpropsdir},%{_mandir}/pl/man1,%{_sysconfdir}} \
	$RPM_BUILD_ROOT%{_datadir}/xsessions

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_wmpropsdir}
install %{SOURCE3} $RPM_BUILD_ROOT%{_mandir}/pl/man1
install %{SOURCE4} $RPM_BUILD_ROOT%{_mandir}/pl/man1
cp %{SOURCE5} README.PLD
install %{SOURCE6} $RPM_BUILD_ROOT%{_datadir}/xsessions/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README* ChangeLog LICENSE TODO
%attr(755,root,root) %{_bindir}/*
%dir %{_sysconfdir}
%dir %{_datadir}/blackbox
%{_datadir}/blackbox/styles
%dir %{_datadir}/blackbox/nls
%{_datadir}/blackbox/nls/C
%{_datadir}/blackbox/nls/POSIX
%{_datadir}/blackbox/nls/US_ASCII
%{_datadir}/blackbox/nls/en*
%lang(da) %{_datadir}/blackbox/nls/da*
%lang(de) %{_datadir}/blackbox/nls/de*
%lang(es) %{_datadir}/blackbox/nls/es
%lang(es_AR) %{_datadir}/blackbox/nls/es_AR
%lang(es) %{_datadir}/blackbox/nls/es_ES
%lang(es) %{_datadir}/blackbox/nls/es_MX
%lang(fr) %{_datadir}/blackbox/nls/fr*
%lang(hu) %{_datadir}/blackbox/nls/hu*
%lang(it) %{_datadir}/blackbox/nls/it*
%lang(ja) %{_datadir}/blackbox/nls/ja*
%lang(ko) %{_datadir}/blackbox/nls/ko*
%lang(lv) %{_datadir}/blackbox/nls/lv*
%lang(nl) %{_datadir}/blackbox/nls/nl*
%lang(nb) %{_datadir}/blackbox/nls/no*
%lang(pl) %{_datadir}/blackbox/nls/pl*
%lang(pt_BR) %{_datadir}/blackbox/nls/pt_BR
%lang(ro) %{_datadir}/blackbox/nls/ro*
%lang(ru) %{_datadir}/blackbox/nls/ru*
%lang(sk) %{_datadir}/blackbox/nls/sk*
%lang(sl) %{_datadir}/blackbox/nls/sl*
%lang(sv) %{_datadir}/blackbox/nls/sv*
%lang(uk) %{_datadir}/blackbox/nls/uk*
%lang(zh_CN) %{_datadir}/blackbox/nls/zh_CN
%lang(zh_TW) %{_datadir}/blackbox/nls/zh_TW
%{_datadir}/xsessions/%{name}.desktop
%{_wmpropsdir}/blackbox.desktop
%{_mandir}/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%{_sysconfdir}/menu

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: blackbox.spec,v $
Revision 1.83  2004/01/27 12:02:06  qboosh
- updated lang() for bokmaal (s/no/nb/)

Revision 1.82  2003/09/28 21:51:02  adgor
- Added desktop file for gdm/kdm support

Revision 1.81  2003/08/06 16:36:03  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.80  2003/07/07 04:23:50  blues
- many small fixes, inspired by kloczek

Revision 1.79  2003/06/11 11:34:56  qboosh
- fixed License, more docs (incl. LICENSE file)
- added nls-codesets patch for gencat from glibc 2.3.x
- added assert patch needed for gcc 3.3
- use lang() for nls files

Revision 1.78  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.77  2003/05/25 05:45:59  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.76  2003/04/07 12:22:02  juandon
- s/home_etc/etc_dir/
- s/CONFIG_DIR/ETC_DIR/

Revision 1.75  2003/03/23 19:36:38  juandon
- added home_etc.patch
- Release 2

Revision 1.74  2003/02/17 15:05:21  qboosh
- changed _wmpropsdir to _prefix-independent location (/usr/share/wm-properties)

Revision 1.73  2003/01/18 22:45:26  juandon
- removed two lines with define

Revision 1.72  2002/11/25 01:40:36  ankry
Massive attack:
- s/man[ea]d[z][ae]r/zarzdca/g
- (some) new %%doc

Revision 1.71  2002/11/01 17:58:51  juandon
- upgrade to 0.65.0
- removed obsolete Polish nls

Revision 1.70  2002/10/09 13:14:18  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.69  2002/06/28 13:16:25  qboosh
- added missing dirs; release 7

Revision 1.68  2002/05/28 11:22:53  filon
- typo :-(

Revision 1.67  2002/05/26 14:00:55  filon
- found not installed man pages, added it (with %%lang)
- new %doc
- release 6

Revision 1.66  2002/05/21 23:12:43  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.65  2002/05/06 11:42:39  filon
- --with epistrophy option for using epistrophy keygrabber
- added epistrophy patch from epist. dist. modified to get it build
- release 5, STBR

Revision 1.64  2002/04/29 18:33:47  filon
- use -dumpversion option for gcc to get it's number (works with gcc3.1)

Revision 1.63  2002/04/25 15:53:41  arturs
fixed a small typo

Revision 1.62  2002/04/24 09:45:10  juandon
- added README.PLD

Revision 1.61  2002/04/14 16:11:59  filon
- obsolettes fluxbox
- release 4.7

Revision 1.60  2002/03/24 23:28:14  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.59  2002/03/10 17:56:31  juandon
- added Polish man pages
- Release 4.6 STBR

Revision 1.58  2002/03/08 21:44:40  juandon
- pipe.patch default (if | is first char in filename of menu then
 menu is reading from pipe instead of file, eg. | wmconfig --output blackbox)
- added Polish translation

Revision 1.57  2002/03/03 20:07:59  juandon
- added conditional build --with pipe to use with wmconfig

Revision 1.56  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.55  2002/02/08 14:22:08  filon
- ok, require rpm with __cxx defined
- changes in gcc stuff, release 4

Revision 1.54  2002/02/08 10:56:37  filon
- final gcc stuff

Revision 1.53  2002/02/08 10:04:12  filon
- added conditonal _with_gcc3 for building with gcc3
- cleaned up CXX stuff, release 3

Revision 1.52  2002/02/06 23:11:18  filon
- proper definition of CXX variable (__cc doesn't always work, eg. for gcc3)
- release 2

Revision 1.51  2002/02/02 20:45:34  ankry
- adding es/fr Group translations

Revision 1.50  2002/02/01 02:35:05  kloczek
- updated to 0.62.1 (bugfixes and new translations).

Revision 1.49  2002/01/26 10:48:01  kloczek
- new Source url and URL.

Revision 1.48  2002/01/21 08:23:37  filon
- updated to 0.62.0
- updated/modified am_fix
- removed obsolette lowacse_name patch
- some changes in files

Revision 1.47  2002/01/18 02:12:30  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.46  2001/11/14 21:16:41  kloczek
- release 6.

Revision 1.45  2001/11/14 01:57:42  speedy
- removed "exitbutton" patch... we really don't want it

Revision 1.44  2001/10/30 21:45:51  kloczek
- release 5,
- fixed am_fixes patch (agaran).

Revision 1.43  2001/08/08 22:05:42  kloczek
- added am_fixes patch (install menu file in sysconfdir).

Revision 1.42  2001/08/02 22:58:11  wrobell
- fixed typo
- rel 4, stb

Revision 1.41  2001/07/15 12:32:08  kloczek
- added desktop file for blackbox,
- typo in %files.

Revision 1.40  2001/07/15 12:27:08  kloczek
- release 3,
- make spec ac 2.50 ready,
- pass as same as in bbkeys and bbpager CXX="%%{__cc}" to make (is all
  bb<progs> aren't realy C++ programs ?),
- change prject name to blackbox (lowcase_name patch from CNV),
- merge exitbutton patch from MDK.

Revision 1.39  2001/05/30 08:38:11  kloczek
- relase 2.

Revision 1.38  2001/04/30 16:05:15  kloczek
- added using %%{rpmcflags} macro.

Revision 1.37  2001/01/25 20:03:21  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.36  2000/12/23 00:48:43  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.35  2000/11/07 01:16:54  kevin
- added man pages

Revision 1.34  2000/11/06 18:18:44  kloczek
- use new rpm automation,
- compile with -fno-exceptions -fno-rtti -fno-implicit-templates options,
- added BuildRequires rules.
Still missing:
- man pages,
- install nls resources (mayby it will be good try move from catgets to
  gettext because managing catgets files is ughly),
- window manager desktop file like in other window managers on ftp.

Revision 1.33  2000/11/06 17:28:24  kevin
- updated to 0.61.1
- commented patch blackbox-no-brueghel.patch

Revision 1.32  2000/06/09 07:54:39  kloczek
- more %%{__make} macros.

Revision 1.31  2000/06/09 07:22:48  kloczek
- added using %%{__make} macro.

Revision 1.30  2000/05/18 16:58:01  kloczek
- spec adapterized.

Revision 1.29  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.28  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.27  2000/02/28 13:56:39  wiget
updated to 0.51.3.1 but need more work, volunters needed

Revision 1.26  1999/07/18 14:53:23  baggins
- fixed bogus Group: field

Revision 1.25  1999/07/16 19:24:11  baggins
- cleanups

Revision 1.24  1999/07/12 23:05:53  kloczek
- added using CVS keywords in %changelog (for automating them).

* Wed Feb 24 1999 Maciej Leniewski <nimir@kis.p.lodz.pl>
  [0.50.3-1]
- new version,
- enabled kde support,
- added brueghel directory (styles).

* Thu Feb 10 1999 Micha Kuratczyk <kurkens@polbox.com>
  [0.50.0-3]
- added gzipping documentation
- added Group(pl)
- simplification in %files

* Tue Nov 24 1998 Maciej Leniewski <nimir@kis.p.lodz.pl>
  [0.50.0-2]
- %config files moved to /etc/X11,
- Few fixes of %files macro.

* Tue Nov 24 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.50.0-1]
- simplification: added using $DESTDIR on "make install",
- added CFLAGS="$RPM_OPT_FLAGS" to configure enviroment.

* Thu Nov  5 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.40.12-1]
- changelog changed to ChangeLog in %doc,
- files in /usr/X11R6/share/Blackbox/{menu,rc,styles/*} marked as %config
  with %verify rules,
- removed /usr/X11R6/lib/X11/app-defaults/* from %files.

* Mon Nov  2 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.40.11-1]
- updated for using new autoconf scheme (instead old Imake).

* Sun Sep 27 1998 Maciej Leniewski <nimir@kis.p.lodz.pl>
  [0.40.7-2]
- rewritten %descriptions,
- removed INSTALL-file from %doc.

* Fri Sep 25 1998 Maciej Leniewski <nimir@kis.p.lodz.pl>
  [0.40.7-1]
- added -q in %setup,
- added pl translation.

* Sun Aug 23 1998 Maciej Leniewski <nimir@kis.p.lodz.pl>
  [0.40.4-1]
- removed old log enteries.

* Thu Aug 13 1998 Maciej Leniewski <nimir@kis.p.lodz.pl>
  [0.40.3-1]
- new version
